Tasks - Configuration Items API
- List all configuration items of a task
- Add a configuration item to a task
- Remove a configuration item from a task
- Remove all configuration items from a task
List all configuration items of a task
Заголовок раздела «List all configuration items of a task»List all configuration items of a task with a specific ID:
GET /tasks/:id/cisResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Adobe Reader 9.1.0", "label": "Adobe Reader 9.1.0", "created_at": "2016-03-14T03:11:22-06:00", "sourceID": null, "updated_at": "2016-03-14T03:11:22-06:00", "service": { "name": "Personal Computing", "id": 22, "provider": { "name": "Widget Data Center, Internal IT", "id": 32 } }, "support_team": { "name": "End-User Support, Houston", "id": 9 }, "id": 711, "product": { "name": "Adobe Reader", "brand": "Adobe", "category": "software/browser_viewer_application", "id": 33 }, "status": "in_production", "software": true, "rule_set": "software" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/tasks/:id/cis/active: List all active configuration items of a task with a specific ID/tasks/:id/cis/inactive: List all inactive configuration items of a task with a specific ID
Add a configuration item to a task
Заголовок раздела «Add a configuration item to a task»Add a link between a task with a specific ID and a configuration item with a specific ID.
POST /tasks/:id/cis/:ci_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a configuration item from a task
Заголовок раздела «Remove a configuration item from a task»Remove the link between a task with a specific ID and a configuration item with a specific ID.
DELETE /tasks/:id/cis/:ci_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all configuration items from a task
Заголовок раздела «Remove all configuration items from a task»Remove all links between a task with a specific ID and its configuration items.
DELETE /tasks/:id/cisResponse
Заголовок раздела «Response»Status: 204 No Content